Update a specific user notification rule by id
curl --request PUT \
--url https://api.rootly.com/v1/notification_rules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "user_notification_rules",
"attributes": {
"delay": 123,
"position": 123,
"user_email_address_id": "<string>",
"user_call_number_id": "<string>",
"user_sms_number_id": "<string>",
"user_device_id": "<string>",
"enabled_contact_types": [
"email"
]
}
}
}
'{
"data": {
"id": "30bf5ba9-e46e-47b7-90d4-88ba6083ddb1",
"type": "user_notification_rules",
"attributes": {
"user_id": 1075,
"delay": 2,
"position": 1,
"user_email_address_id": "0814b4ea-74f9-418f-9c3b-393fea9f09b1",
"user_call_number_id": "6eda1a0e-de6d-422c-836d-e2b3e7c1eff0",
"user_sms_number_id": null,
"user_device_id": "f3b282f7-8790-45e1-b2e8-48e00f976a7f",
"enabled_contact_types": [
"device"
],
"notification_type": "quiet",
"created_at": "2026-02-07T16:51:26.311-08:00",
"updated_at": "2026-02-07T16:51:26.833-08:00"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
user_notification_rule updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/notification_rules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "user_notification_rules",
"attributes": {
"delay": 123,
"position": 123,
"user_email_address_id": "<string>",
"user_call_number_id": "<string>",
"user_sms_number_id": "<string>",
"user_device_id": "<string>",
"enabled_contact_types": [
"email"
]
}
}
}
'{
"data": {
"id": "30bf5ba9-e46e-47b7-90d4-88ba6083ddb1",
"type": "user_notification_rules",
"attributes": {
"user_id": 1075,
"delay": 2,
"position": 1,
"user_email_address_id": "0814b4ea-74f9-418f-9c3b-393fea9f09b1",
"user_call_number_id": "6eda1a0e-de6d-422c-836d-e2b3e7c1eff0",
"user_sms_number_id": null,
"user_device_id": "f3b282f7-8790-45e1-b2e8-48e00f976a7f",
"enabled_contact_types": [
"device"
],
"notification_type": "quiet",
"created_at": "2026-02-07T16:51:26.311-08:00",
"updated_at": "2026-02-07T16:51:26.833-08:00"
}
}
}